//
//  GLInterpolator.h
//  GLKit
//
//  Created by Colin Caufield on 2012-08-31.
//  Copyright (c) 2012 Secret Geometry. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "GLMath.h"


@interface GLInterpolator : NSObject

@property (nonatomic) float smoothLevel;

@property (nonatomic) vec2 position;
@property (nonatomic) vec2 velocity;
@property (nonatomic) vec2 acceleration;

- (void) update:(NSTimeInterval)seconds;
- (void) addValue:(vec2)pos;

@end
