//
// Copyright 2012 Secret Geometry, Inc.  All rights reserved.
//

#ifndef HELPERS_HPP
#define HELPERS_HPP

#include "Types.hpp"

#define ESC_STRING        "\x1b"
#define CSI_PREFIX_STRING "\x1b["

namespace term {


// As per the unicode spec, adds combiner to character as a combining diacritic.  For example, 'e' and '´' make é.
uint32_t combineCodePoints(uint32_t character, uint32_t combiner);

// 
int clamp(int value, int min, int max);

} // namespace term

#endif // HELPERS_HPP
